Bug 133788 - Gallery theme names no longer localized in 7.0
Summary: Gallery theme names no longer localized in 7.0
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
7.0.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:7....
Keywords:
Depends on:
Blocks: Gallery_7.0
  Show dependency treegraph
 
Reported: 2020-06-08 10:48 UTC by Ming Hua
Modified: 2020-07-20 14:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ming Hua 2020-06-08 10:48:32 UTC
A side effect of the gallery rework done for 7.0 is that now the gallery theme names (Arrows, Computers, Diagrams, etc.) are no longer localized, except for Sounds which stayed in the system directory.

Previously they were localized through .str files like $INSTALL_DIR/share/gallery/sounds.str, there are currently no .str files in the $PROFILE_DIR/4/user/gallery/ directory.

In version 7.0.0 Beta1 with zh-CN UI, all theme names except Sounds are shown in English.
Version: 7.0.0.0.beta1 (x64)
Build ID: 94f789cbb33335b4a511c319542c7bdc31ff3b3c
CPU 线程: 2; 操作系统: Windows 10.0 Build 18363; 用户界面渲染: Skia/点阵; VCL: win
Locale: zh-CN (zh_CN); UI: zh-CN
Calc: threaded
Comment 1 Heiko Tietze 2020-06-15 16:25:48 UTC
Patch at https://gerrit.libreoffice.org/c/core/+/96382
Comment 2 Commit Notification 2020-06-17 10:36:27 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/86b1b062cfc2768a971bb842de1c16f8646d4b4b

Resolves tdf#132904 and tdf#133788 - Gallery clean-up

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-06-17 14:06:45 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a6718454e6a0ab6f7eb35c4b1f5d8234a704f554

Resolves tdf#132904 and tdf#133788 - Gallery clean-up

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Heiko Tietze 2020-06-17 14:07:42 UTC
Please check whether just adding the new names to the ulf file was really sufficient. Keep the ticket open until then.
Comment 5 Commit Notification 2020-07-15 07:42:47 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/244de1fc0f3f201f56e739401ee3cc52f35deab4

tdf#133788 Missing pieces for Gallery localization

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Heiko Tietze 2020-07-15 09:00:02 UTC
All kudos to Cloph
Comment 7 Commit Notification 2020-07-15 10:07:11 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/610e68f8cda888f2739881f75900130ce0a5a74e

tdf#133788 Missing pieces for Gallery localization

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.